<!-- TEMPLATE SNACKBAR -->
<v-snackbar multi-line v-model="snackbar.open"  location="top" timeout="-1" :color="snackbar.color">
  <!-- <h3> [[ snackbar.title ]] </h3> -->
  <p>[[snackbar.body]] </p>
  <template v-slot:actions>
    <v-btn variant="text"  @click="snackbar.open = false">
      close
    </v-btn>
  </template>
</v-snackbar>

<!-- START DIALOG -->
<v-dialog v-model="start_dialog" max-width="350" transition="dialog-top-transition">
  <v-card>
    <v-card-title class="text-h5"> Start Run </v-card-title>

    <v-card-text class="px-4">
      <h3>Run type</h3>
      <v-select v-model="configRunType" class="my-1" hide-details outlined no-data-text="Select a type"
        :items="runTypes">
      </v-select>
      <h3> Comment </h3>
      <v-textarea class="mt-1" hide-details outlined v-model="configRunComment" placeholder="Enter some comment">
      </v-textarea>
    </v-card-text>

    <v-card-actions>
      <v-btn color="red darken-1" dark @click="dialogs['start']=false">
        Cancel
      </v-btn>
      <v-spacer></v-spacer>

      <v-btn color="green darken-1" dark @click="start_stop_run('START')" :disabled="configRunComment === ''">
        Start
      </v-btn>
    </v-card-actions>
  </v-card>
</v-dialog>

<!-- END RUN DIALOG -->
<v-dialog v-model="stop_dialog" max-width="350" transition="dialog-top-transition">
  <v-card>
    <v-card-title class="text-h5"> End Run </v-card-title>
    <v-card-text class="px-4">
      <h3>Run type</h3>
      <v-select v-model="configRunType" no-data-text="Select a type" class="my-1" hide-details outlined
        :items="runTypes">
      </v-select>
      <h3> Comment </h3>
      <v-textarea v-model="configRunComment" class="mt-1" hide-details outlined>
      </v-textarea>
    </v-card-text>
    <v-card-actions>
      <v-btn color="red darken-1" dark @click="dialogs['stop'] = false">
        Cancel
      </v-btn>
      <v-spacer></v-spacer>

      <v-btn color="green darken-1" dark @click="start_stop_run('STOP')" :disabled="configRunComment === ''">
        Stop
      </v-btn>
    </v-card-actions>
  </v-card>
</v-dialog>


<!-- LOST CONNECTION DIALOG -->
<v-dialog persistent v-model="dialogs['lost_connection']" transition="dialog-top-transition" max-width="400">
  <v-card>
    <v-card-title class="text-h5" style="display: flex; justify-content: center;"> Lost connection to the server
    </v-card-title>
    <v-card-text class="px-5 text-h6" style="display: flex; justify-content: center;">
      Please refresh the page.
    </v-card-text>
    <v-card-actions style="display: flex; justify-content: center; ">
      <v-btn color="red darken-1" dark @click="reload_page">
        Refresh
      </v-btn>
    </v-card-actions>
  </v-card>
</v-dialog>


<!-- SHUTDOWN WARNING -->
<v-dialog v-model="shutdown_warning_dialog" max-width="410" transition="dialog-top-transition">
  <v-card>
    <v-card-title class="text-h5"> Do you really want to shutdown ? </v-card-title>
    <v-card-actions>
      <v-btn variant="flat" color="success" @click=" dialogs['shutdown_warning'] = false">
        Cancel
      </v-btn>
      <v-spacer></v-spacer>
      <v-btn variant="flat" color="error" @click="execute_action('SHUTDOWN')">
        Shutdown
      </v-btn>
    </v-card-actions>
  </v-card>
</v-dialog>